Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.view
Class JRSaveContributor

    java.lang.Object
      javax.swing.filechooser.FileFilter
          net.sf.jasperreports.view.JRSaveContributor

Direct Known Subclasses:
  JRCsvSaveContributor, JRDocxSaveContributor, JREmbeddedImagesXmlSaveContributor, JRHtmlSaveContributor, JRMultipleSheetsXlsSaveContributor, JROdtSaveContributor, JRPdfSaveContributor, JRPrintSaveContributor, JRRtfSaveContributor, JRSingleSheetXlsSaveContributor, JRXmlSaveContributor

    public abstract class JRSaveContributor

extends javax.swing.filechooser.FileFilter

Version:
  $Id: JRSaveContributor.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`JRSaveContributor()`
`JRSaveContributor(java.util.Locale locale, java.util.ResourceBundle resBundle)`

Method Summary
`protected java.lang.String` | `getBundleString(java.lang.String key)`
`abstract void` | `save(JasperPrint jasperPrint, java.io.File file)`

Methods inherited from class javax.swing.filechooser.FileFilter
`accept, getDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRSaveContributor

    public JRSaveContributor()

### JRSaveContributor

    public JRSaveContributor(java.util.Locale locale,
                             java.util.ResourceBundle resBundle)

Method Detail

### getBundleString

    protected java.lang.String getBundleString(java.lang.String key)

### save

    public abstract void save(JasperPrint jasperPrint,
                              java.io.File file)
                       throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com